# Summary

* [Introduction](./intro.md)
* [Installation](./installation.md)
    * [Pre-Built Binaries](./installation-binaries.md)
    * [Docker](./docker.md)
    * [Build from Source](./installation-source.md)
    * [Raspberry Pi 4](./pi.md)
    * [Cross-Compiling](./cross-compiling.md)
    * [Homebrew](./homebrew.md)
    * [Update Priorities](./installation-priorities.md)
* [Run a Node](./run_a_node.md)
* [Become a Validator](./mainnet-validator.md)
* [Validator Management](./validator-management.md)
    * [The `validator-manager` Command](./validator-manager.md)
        * [Creating validators](./validator-manager-create.md)
        * [Moving validators](./validator-manager-move.md)
    * [Slashing Protection](./slashing-protection.md)
    * [Voluntary Exits](./voluntary-exit.md)
    * [Partial Withdrawals](./partial-withdrawal.md)
    * [Validator Monitoring](./validator-monitoring.md)
    * [Doppelganger Protection](./validator-doppelganger.md)
    * [Suggested Fee Recipient](./suggested-fee-recipient.md)
    * [Validator Graffiti](./graffiti.md)
* [APIs](./api.md)
    * [Beacon Node API](./api-bn.md)
        * [Lighthouse API](./api-lighthouse.md)
        * [Validator Inclusion APIs](./validator-inclusion.md)
    * [Validator Client API](./api-vc.md)
        * [Endpoints](./api-vc-endpoints.md)
        * [Authorization Header](./api-vc-auth-header.md)
        * [Signature Header](./api-vc-sig-header.md)
    * [Prometheus Metrics](./advanced_metrics.md)
* [Lighthouse UI (Siren)](./lighthouse-ui.md)
	* [Installation](./ui-installation.md)
    * [Authentication](./ui-authentication.md)
	* [Configuration](./ui-configuration.md)
	* [Usage](./ui-usage.md)
	* [FAQs](./ui-faqs.md)
* [Advanced Usage](./advanced.md)
    * [Checkpoint Sync](./checkpoint-sync.md)
    * [Custom Data Directories](./advanced-datadir.md)
    * [Proposer Only Beacon Nodes](./advanced-proposer-only.md)
    * [Remote Signing with Web3Signer](./validator-web3signer.md)
    * [Database Configuration](./advanced_database.md)
    * [Database Migrations](./database-migrations.md)
    * [Key Management (Deprecated)](./key-management.md)
    * [Key Recovery](./key-recovery.md)
    * [Advanced Networking](./advanced_networking.md)
    * [Running a Slasher](./slasher.md)
    * [Redundancy](./redundancy.md)
    * [Release Candidates](./advanced-release-candidates.md)
    * [MEV](./builders.md)
    * [Merge Migration](./merge-migration.md)
    * [Late Block Re-orgs](./late-block-re-orgs.md)
* [Built-In Documentation](./help_general.md)
    * [Beacon Node](./help_bn.md)
    * [Validator Client](./help_vc.md)
    * [Validator Manager](./help_vm.md)
        * [Create](./help_vm_create.md)
        * [Import](./help_vm_import.md)
        * [Move](./help_vm_move.md)  
* [Contributing](./contributing.md)
    * [Development Environment](./setup.md)
* [FAQs](./faq.md)
* [Protocol Developers](./developers.md)